Subject: Re: bug#11867: 24.1.50; Windows bootstrap crash (converting tit files?)

From: Juanma Barranquero <[email-masked]>
Date: Fri, 13 Jul 2012 02:19:25 +0200

On Tue, Jul 10, 2012 at 7:35 PM, Eli Zaretskii <[email-masked]> wrote:

> However, before you try that, I'd suggest to let Emacs run as usual,
> and attach the debugger to it when it already runs with the correct
> command line.  To this end, pause Emacs with Ctrl-S some short time
> before it crashes (I assume you know when that's going to happen by
> the output that gets written to the screen)

The crash happens when running the compile-CMD target, at this:

        for %%f in (. $(WINS)) do for %%g in (%%f/*.el) do \
          $(emacs) -l loaddefs $(BYTE_COMPILE_FLAGS) -f
batch-byte-compile-if-not-done %%f/%%g

so each Emacs instance runs only for a few seconds, the time to
compile a single .el file. I can try modifying the makefile and
forcing it to run emacs under gdb when %f/%g is either
language/japan-util.el or language/japanese.el, the two only files
that cause the crash.

    Juanma